Package Details: yle-dl 20200419-1

Git Clone URL: https://aur.archlinux.org/yle-dl.git (read-only, click to copy)
Package Base: yle-dl
Description: Download video and audio from YLE Areena.
Upstream URL: http://aajanki.github.io/yle-dl/
Keywords: areena yle
Licenses: GPL3
Submitter: Huulivoide
Maintainer: ZaZam (Huulivoide)
Last Packager: ZaZam
Votes: 31
Popularity: 0.099712
First Submitted: 2012-04-15 18:12
Last Updated: 2020-05-02 11:49

Required by (1)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

ZaZam commented on 2018-08-15 10:42

It seems that downgrading python-attrs is not enough to make yle-dl work. I downgraded it to 17.4 and rebuilt yle-dl, but it still does not work. "pkg_resources.DistributionNotFound: The 'attrs==17.4.0' distribution was not found and is required by yle-dl"

EDIT: The problem was that python-attrs 17.4 was built for python3.6 (not 3.7), I uploaded python-attrs17 to AUR. Building and installing that fixes the problem.

ansatz commented on 2018-08-14 15:03

Extra/python-attrs was updated on 06.08.2018, and it breaks yle-dl that depends on version 17.4.

OssiL commented on 2018-05-20 07:45

No, I don't have but now the latest one (2.32) got installed after it installed bunch of new dependencies: - python-future (package found) - python-mini-amf (building from AUR) - python-pycryptodomex (package found) - python-pysocks (package found)

ZaZam commented on 2018-04-04 19:44

@OssiL do you have python-py3amf installed?

OssiL commented on 2018-04-04 14:06

fails with: error: target not found: python-pyamf

Nd43 commented on 2018-03-01 07:27

Just a heads up, for some reason piping a video straight to a player doesn't work anymore without adding '--backend youtubedl' to the command.

jtts commented on 2018-02-15 20:51

This package doesn't work without python-pysocks. However, it is not listed in the dependencies and at least for me it doesn't get pulled otherwise.

sumt commented on 2018-02-02 17:06

Adopted and updated to 2.30.

ZaZam commented on 2017-08-23 07:18

Why does this use youtube-dl by default? The AdobeHDS method is said to be the default method on https://github.com/aajanki/yle-dl

Huulivoide commented on 2017-01-22 20:24

1) I'm not gonna add some hack that makes python2 use python3 libraries. It might have worked back in 2015 with one version of youtubedl. But there is no telling if it still does, or if it will in the future.

There is nothing wrogn with the python 2 package. You just need to enable automatic retrieval of GPG keys. Many other AUR packages use them also and more sould.

https://wiki.archlinux.org/index.php/GnuPG#Use_a_keyserver
Green tips section, 1st tip.

2) I am sorry about the slow update flow. Please feel free to spam me if it seems I have forgotten to update this.